View Issue Details

IDProjectCategoryView StatusLast Update
0035088LazarusTAChartpublic2019-03-07 21:57
ReporterMarcin WiazowskiAssigned Towp 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 (SVN)Product Build60424 
Target Version2.2Fixed in Version 
Summary0035088: TAChart: for some series, marks are never drawn
DescriptionFor the following five series:

- TPolarSeries
- TManhattanSeries
- TOpenHighLowCloseSeries
- TBoxAndWhiskerSeries
- TFieldSeries

the Mark property is published, although marks are not drawn at all - never, regardless of Marks.Visible and/or Marks.Style settings. However, the Marks.AutoMargins setting *IS* taken into account, so it only generates additional, empty space (and consumes a lot of time, in case of many data points to show).



I can see two potential solutions:

1) If marks SHOULD NOT be painted, Marks.Visible should be permanently set to False - all attempts to make it True should fail, and Marks.Visible should remain False.

2) If marks SHOULD be painted, then the problem should be fixed, and - additionally - MarkPositions should be made "published".


Regards
TagsNo tags attached.
Fixed in Revision
LazTarget2.2
WidgetsetWin32/Win64
Attached Files

Activities

wp

2019-02-19 00:56

developer   ~0114255

Done.

Marcin Wiazowski

2019-03-07 21:57

reporter   ~0114703

Fix confirmed. Thanks!

Issue History

Date Modified Username Field Change
2019-02-15 02:24 Marcin Wiazowski New Issue
2019-02-15 09:26 wp Assigned To => wp
2019-02-15 09:26 wp Status new => assigned
2019-02-19 00:56 wp LazTarget => 2.2
2019-02-19 00:56 wp Note Added: 0114255
2019-02-19 00:56 wp Status assigned => resolved
2019-02-19 00:56 wp Resolution open => fixed
2019-02-19 00:56 wp Target Version => 2.2
2019-03-07 21:57 Marcin Wiazowski Note Added: 0114703
2019-03-07 21:57 Marcin Wiazowski Status resolved => closed